Unfortunately, SRT AppGuard is currently not compatible with the latest version of Android (5.1). We are working hard to restore the compatibility in one of the upcoming versions. Currently we can not provide any time estimate for the next update.

Thank you for understanding and patience.